Package org.apache.sling.feature.cpconverter

## Enum ContentPackage2FeatureModelConverter.PackagePolicy

- java.lang.Object
- - java.lang.Enum<ContentPackage2FeatureModelConverter.PackagePolicy>
  - - org.apache.sling.feature.cpconverter.ContentPackage2FeatureModelConverter.PackagePolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<ContentPackage2FeatureModelConverter.PackagePolicy>`

Enclosing class:
  ContentPackage2FeatureModelConverter

    public static enum ContentPackage2FeatureModelConverter.PackagePolicy
    extends Enum<ContentPackage2FeatureModelConverter.PackagePolicy>

### Enum Constant Summary

Enum Constants
`DROP` Deprecated.
`PUT_IN_DEDICATED_FOLDER` Deploys the content package via the `ContentPackage2FeatureModelConverter.unreferencedArtifactsDeployer`
`REFERENCE` References the content package in the feature model and deploys via the `ContentPackage2FeatureModelConverter.artifactsDeployer`

### Method Summary

All Methods Static Methods Concrete Methods
`static ContentPackage2FeatureModelConverter.PackagePolicy` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ContentPackage2FeatureModelConverter.PackagePolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REFERENCE

    public static final ContentPackage2FeatureModelConverter.PackagePolicy REFERENCE

References the content package in the feature model and deploys via the `ContentPackage2FeatureModelConverter.artifactsDeployer`

#### DROP

    public static final ContentPackage2FeatureModelConverter.PackagePolicy DROP

Deprecated.
Drops the content package completely (i.e. neither reference it in the feature model nor deploy anywhere)

#### PUT_IN_DEDICATED_FOLDER

    public static final ContentPackage2FeatureModelConverter.PackagePolicy PUT_IN_DEDICATED_FOLDER

Deploys the content package via the `ContentPackage2FeatureModelConverter.unreferencedArtifactsDeployer`

### Method Detail

#### values

    public static ContentPackage2FeatureModelConverter.PackagePolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ContentPackage2FeatureModelConverter.PackagePolicy c : ContentPackage2FeatureModelConverter.PackagePolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ContentPackage2FeatureModelConverter.PackagePolicy valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null